package cn.wise.sc.consume.business.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author ztw
 * @since 2020-06-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SysEnterprise implements Serializable {

    private static final long serialVersionUID=1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("企业名称-客户名称")
    private String enterpriseName;

    @ApiModelProperty("企业成立年限")
    private Double years;

    @ApiModelProperty("注册资金")
    private BigDecimal registerCapital;

    @ApiModelProperty("经营范围")
    private String businessScope;

    @ApiModelProperty("经营产品或者服务")
    private String product;

    @ApiModelProperty("希望入驻的模块（会员、商圈、物业、出行）")
    private String modular;

    @ApiModelProperty("联系人姓名")
    private String contacts;

    @ApiModelProperty("联系人电话")
    private String phone;

    @ApiModelProperty("联系人邮箱")
    private String email;

    @ApiModelProperty("推荐理由-公司简介")
    private String recommendReason;

    @ApiModelProperty("租户logo")
    private String logo;

    @ApiModelProperty("状态（0禁用，1启用, 2代审批）")
    private Integer status;

    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty("租户地址")
    private String address;

    @ApiModelProperty("是否删除（0删除，1存在）")
    private Integer isDelete;

    @ApiModelProperty("企业app企业ID-客户号")
    private String coridc;

	@ApiModelProperty("发券类型（抵用，权益，折扣）")
	private String couponType;

	@ApiModelProperty("自建商城（1有，0无）")
	private Integer shoppingSelf;

	@ApiModelProperty("商城网址")
	private String shoppingAddress;

	@ApiModelProperty("券使用链接")
	private String couponLink;

	@ApiModelProperty("公司品牌")
	private String brand;

	@ApiModelProperty("会员服务申明")
	private String vipStatement;

	@ApiModelProperty("备注")
	private String remark;
}
