package cn.wise.sc.consume.business.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author ztw
 * @since 2020-08-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SysMember implements Serializable {

    private static final long serialVersionUID=1L;

      @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 企业id
     */
    private Long enterpriseId;

    /**
     * 企业app用户ID
     */
    private String usridc;

    /**
     * 申请人姓名
     */
    private String name;

    /**
     * 申请人联系电话
     */
    private String phone;

    /**
     * 出生年月日
     */
    private LocalDate birthday;

    private LocalDateTime createTime;

    private String remark;


}
