package cn.wise.sc.consume.business.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import java.util.List;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author ztw
 * @since 2020-07-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SysPermission implements Serializable {

    private static final long serialVersionUID=1L;

      @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 上级ID(如果是一级为0)
     */
    @TableField("parentId")
    private Long parentId;

    /**
     * 名字
     */
    private String name;

    /**
     * 菜单图标
     */
    private String css;

    /**
     * 链接
     */
    private String href;

    /**
     * 1菜单权限,2按钮权限
     */
    private Integer type;

    /**
     * 接口权限
     */
    private String permission;

    /**
     * 排序
     */
    private Integer sort;

    private String remark;

    private List<SysRole> roleList;


}
