package cn.wise.sc.consume.business.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author ztw
 * @since 2020-07-31
 */
@Data
public class EnterpriseAppListVO {

	@TableId(value = "id", type = IdType.AUTO)
	private Long id;

	@ApiModelProperty("企业名称-客户名称")
	private String enterpriseName;

	@ApiModelProperty("租户logo")
	private String logo;

	@ApiModelProperty("企业app企业ID-客户号")
	private String coridc;

	@ApiModelProperty("是否申请会员")
	private Boolean isBinding;

	@ApiModelProperty("推荐理由-公司简介")
	private String recommendReason;

	@ApiModelProperty("券使用链接")
	private String couponLink;


}
